plowdel(1)

NAME
plowdel - Delete files from file sharing websites links

SYNOPSIS
plowdel [OPTIONS]... [MODULE_OPTIONS]... URL...

DESCRIPTION
plowdel is a command-line tool designed for deleting files on file-sharing websites. It acts like a web browser, retrieving pages and filling HTML forms.

Some sites may require authentication (login) for deleting files. See specific module options below. Login process may sometimes require captcha solving.

OPTIONS

  Common options

-i, --interface=IFACE
    If your machine has several network interfaces, force using IFACE interface.

  Captcha options

--9kweu=KEY
    Use 9kw.eu service to solve captchas.

--antigate=KEY
    Use Antigate.com service to solve captchas.

--captchabhood=USER:PASSWORD
    Use Captcha Brotherhood service to solve captchas.

--captchacoin=KEY
    Use CaptchaCoin service to solve captchas.

--deathbycaptcha=USER:PASSWORD
    Use Death by Captcha service to solve captchas.

--captchamethod=METHOD
    Force specific captcha solving method. Available values:
    imgur : upload image to Imgur.com service, print image url in console and prompt for manual entering. Useful for NAS and embedded devices.
    none : abort if captcha solving is requested (even if automatic solving service is available).
    online : use captcha solving website only (9kweu, Antigate, CaptchaBrotherhood, CaptchaCoin or DeathByCaptcha account required).
    fb : display image in framebuffer console and prompt for manual entering. Looks for framebuffer viewers: fbi, fim. FRAMEBUFFER environment variable can contain device file. Default is /dev/fb0.
    nox : display image in console (text) and prompt for manual entering. Looks for ascii viewers: img2txt, aview, tiv.
    x11 : display image in an X11 window and prompt for manual entering. Looks for viewers: display, feh, sxiv, qiv.

--captchaprogram=PROGRAM
    Call external program or script for solving captchas. Provided executable can be located in PATH environment variable.

    Three arguments are given:
    $1 module name (lowercase). For example: mediafire.
    $2 image filename (with full path).
    $3 hint or captcha type (string). For example: recaptcha, solvemedia or digits-4.

    Return value (on stdout) and exit status:
    0 : solving success. Captcha Word(s) must be echo'ed.
    2 : external solver is not able to solve requested captcha. Let plowdel continue solving it normally (will consider --captchamethod if specified).
    7 : external solver failed.

    Note: plowdel legacy exit errors can also be returned, for example: 1 (fatal) or 3 (network).

  Logging options

-v, --verbose=LEVEL
    Set output verbosity level:
    0 none,
    1 errors,
    2 notice (default behavior),
    3 debug,
    4 report (very noisy, log HTML pages).

-q, --quiet
    Alias for -v0. Do not print any debug messages.

  Miscellaneous options

--no-color
    Disables log messages (stderr only) output coloring.

--no-curlrc
    Do not use curl config file (~/.curlrc).

--curlrc=FILE
    Force using an alternate curl configuration file. Replaces ~/.curlrc if it exists. This option has no effect when --no-curlrc is defined.

--no-plowsharerc
    Do not consider any configuration file.

--plowsharerc=FILE
    Force using an alternate configuration file (instead of per-user or systemwide plowshare.conf). This option has no effect when --no-plowsharerc is defined.

--modules
    Display all supported module names (one per line) and exit. Useful for wrappers.

  Generic program information

-h, --help
    Display main help and exit.

-H, --longhelp
    Display complete help (with module options) and exit.

--version
    Output version information and exit.

MODULE OPTIONS

  Common options

-a, --auth=USER:PASSWORD
    Use premium account. Free account can be used sometimes.

All switches are not implemented nor required for all modules. See help message for detailed modules option list.

FILES

~/.config/plowshare/plowshare.conf
    This is the per-user configuration file.

/etc/plowshare.conf
    Systemwide configuration file.

The file format is described in plowshare.conf(5).

~/.config/plowshare/exec/
    Additional directory considered when searching for executable. See --captchaprogram switch.

~/.config/plowshare/modules.d/
    User directory considered when searching for modules at startup (plowdel will try to open ~/.config/plowshare/modules.d/*/config). One file per module (hoster).

EXIT CODES

Possible exit codes are:

0   Success. File was successfully deleted.

1   Fatal error. Upstream site updated or unexpected result.

2   No available module (provided URL is not supported).

3   Network error. Mostly curl related.

4   Authentication failed (bad login/password).

11  Link requires an admin or removal code.

12  Authentication required (anonymous users can't delete files).

13  Link is dead. File has been previously deleted.

15  Unknown command line parameter or incompatible options.

If plowdel is invoked with multiple links and one or several errors occur, the first error code is returned added with 100.

AUTHORS
Plowshare was initially written by Arnau Sanchez. See the AUTHORS file for a list of some of the many other contributors.

Plowshare is (C) 2010-2015 The Plowshare Team

SEE ALSO
plowdown(1), plowup(1), plowlist(1), plowprobe(1), plowshare.conf(5).